public class Serevr extends Thread
	{
	    public final static int DEFAULT_PORT = 6789;
	    protected int port;
	    protected ServerSocket listen_socket;

	    public static void fail(Exception e, String msg)
	    {
	        System.err.println(msg + ": " + e);
	        System.exit(1);
	    }

	    public Server(int port)
	    {
	        if (port == 0) port = DEFAULT_PORT;
	        this.port = port;
	        try { listen_socket = new ServerSocket(port); }
	        catch (IOException e) fail (e, " Vyjimka pri vyvtvareni socketu");
	        System.out.println("Serever posloucha na portu " + port);
	        this.start();
	    }
	}

	public void run()
	{
	    try {
	        while(true) {
	            Socket client_socket = listen_socket.accept();
	            Connection c = new Connection(client_socket);
	        }
	    }
	    catch (IOException e) fail(e, "Vyjimka behem naslouchani spojeni");
	}

	public static void main(String[] args)
	{
	    int port = 0;
	    if (args.length == 1) {
	        try port = Integer.parseInt(args[0]);
	        catch (NumberFormatException e) port=0;
	    }
	    new Server(port);
	}
}

class Connection extends Thread
{
    protected Socket client;
    protected DataInputStream in;
    protected PrintStream out;

    public Connection(Socket client_socket)
    {
        client = client_socket;
        try {
            in = new DataInputStream(client.getInputStream());
            out = new PrintStream(client.getOutputStream());
        }
        catch (IOEception e) {
            try client.close(); catch (IOException e2);
            System.err.println("Vyjimka pri praci s kanaly socketu: "  e);
            return;
        }
        this.start();
    }

    public void run()
    {
        String line;
        StringBuffer revline;
        int len;
        try {
            for(;;) {
                line = in.readLine();
                out.println(line);
            }
        }
        catch (IOException e);
        finally try client.close(); catch (IOException e2);
    }
}
